Botan 1.10.17

Public Member Functions | List of all members
Botan::Modular_Exponentiator Class Referenceabstract

`#include <pow_mod.h>`

Inheritance diagram for Botan::Modular_Exponentiator:

## Public Member Functions
virtual Modular_Exponentiator * | copy () const =0
virtual BigInt | execute () const =0
virtual void | set_base (const BigInt &)=0
virtual void | set_exponent (const BigInt &)=0
virtual | ~Modular_Exponentiator ()

## Detailed Description

Modular Exponentiator Interface

Definition at line 18 of file pow_mod.h.

## Constructor & Destructor Documentation

## ◆ ~Modular_Exponentiator()

virtual Botan::Modular_Exponentiator::~Modular_Exponentiator | ( |  | ) |
| inline virtual

Definition at line 25 of file pow_mod.h.

25 {}

## Member Function Documentation

## ◆ copy()

virtual Modular_Exponentiator* Botan::Modular_Exponentiator::copy | ( |  | ) | const
| pure virtual

Implemented in Botan::Montgomery_Exponentiator, and Botan::Fixed_Window_Exponentiator.

Referenced by Botan::Power_Mod::operator=(), and Botan::Power_Mod::Power_Mod().

## ◆ execute()

virtual BigInt Botan::Modular_Exponentiator::execute | ( |  | ) | const
| pure virtual

Implemented in Botan::Montgomery_Exponentiator, and Botan::Fixed_Window_Exponentiator.

Referenced by Botan::Power_Mod::execute().

## ◆ set_base()

virtual void Botan::Modular_Exponentiator::set_base | ( | const BigInt & |  | ) |
| pure virtual

Implemented in Botan::Montgomery_Exponentiator, and Botan::Fixed_Window_Exponentiator.

Referenced by Botan::Power_Mod::set_base().

## ◆ set_exponent()

virtual void Botan::Modular_Exponentiator::set_exponent | ( | const BigInt & |  | ) |
| pure virtual

Implemented in Botan::Montgomery_Exponentiator, and Botan::Fixed_Window_Exponentiator.

Referenced by Botan::Power_Mod::set_exponent().

The documentation for this class was generated from the following file:

- src/math/numbertheory/pow_mod.h